//+------------------------------------------------------------------+
//|                                             BreakoutManuelfx.mq4 |
//|                                                 Andreas Loescher |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Andreas Loescher"
#property link      "http://www.metaquotes.net"
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red

extern int breakoutpunkt = 20;
extern bool alertsOn = true;

double CrossUp[];
double CrossDown[];
#define PLOTUP 1
#define PLOTDOWN -1
int iWaitFor = PLOTUP;  //initial value
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {

  SetIndexStyle(0, DRAW_ARROW, EMPTY);
  SetIndexArrow(0,225);
  SetIndexBuffer(0, CrossUp);
  SetIndexStyle(1, DRAW_ARROW, EMPTY);
  SetIndexArrow(1, 226);
  SetIndexBuffer(1, CrossDown);


   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  int counted_bars = IndicatorCounted();
  int i;
  int n ;
  int x;
  int limit;
  double high = 0.0;
  bool entscheidungbuy = false;
  bool entscheidungsell = false;
  double gap  = 3.0*iATR(NULL,0,20,i)/9.0;  
  if(counted_bars < 0) 
  return(-1);
  if(counted_bars > 0) 
  counted_bars--;
  limit = Bars - counted_bars;
  
  if(IsNewBar())
   {
  breakoutpunkt = breakoutpunkt -1 ;
  for(i=0; i<=limit; i++)
  {
      entscheidungbuy = false;
  n = i+1;
 
 while (n < i+breakoutpunkt){

      if (Close[i] > Close[n]){
         entscheidungbuy = true;
         }
      else
         {
         entscheidungbuy = false;
         n = i + breakoutpunkt;
         }
         n++;
       
      }
      
  x = i+1;
  while (x < i+breakoutpunkt){

      if (Close[i] < Close[x]){
         entscheidungsell = true;
         }
      else
         {
         entscheidungsell = false;
         x = i + breakoutpunkt;
         }
         x++;
       
      }   
 
  if (entscheidungbuy == true && n == i + breakoutpunkt) {   
      CrossUp[i]=Low[i] - gap;
      if(alertsOn&&i==1)
      Alert(_Symbol+Tf_as_string(PERIOD_CURRENT)+" BreakoutManuelfx Bullish Breakout");
   }

  if (entscheidungsell == true && x == i + breakoutpunkt) {   
      CrossDown[i]=High[i] + gap;
      if(alertsOn&&i==1)
      Alert(_Symbol+Tf_as_string(PERIOD_CURRENT)+" BreakoutManuelfx Bearish Breakout");
   }

}
 }

   return(0);
  }
//+------------------------------------------------------------------+
bool IsNewBar()
{ 
  static datetime Trend_Candle_prevTime1 = -1;
  
  if(Trend_Candle_prevTime1 != Time[6])
  { 
   Trend_Candle_prevTime1 = Time[6]; 
       
   return(true);  
  } 

  return(false); 
}
//+------------------------------------------------------------------+
string   Tf_as_string(ENUM_TIMEFRAMES period){
   if(period == PERIOD_CURRENT)  period   = (ENUM_TIMEFRAMES) _Period;
   string   period_xxx  = EnumToString(period);                // PERIOD_XXX
   return StringSubstr(period_xxx, 7);                         // XXX
}
//+------------------------------------------------------------------+

